=== debian/changelog ===
latd (1.31) unstable; urgency=low

  * Don't crash if we are fed a malicious version number.
    Closes: #699625
  * Fix some Lintian errors regarding LSB and build flags

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun,  6 Dec 2013 11:32:08 +0000
