=== debian/changelog ===
latd (1.32) unstable; urgency=low

  * Revert changes in 1.31 that are not related to #699625 so we can get into wheezy

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon,  5 Feb 2013 11:50:55 +0000
