=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: latd
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <chrissie@debian.org>
+Maintainer: Christine Caulfield <Christine.Caulfield@googlemail.com>
 Build-Depends: debhelper(>=2.0), liblockdev1-dev
 Standards-Version: 3.5.9
