=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: latd
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <Christine.Caulfield@googlemail.com>
-Build-Depends: debhelper(>=2.0), liblockdev1-dev
+Maintainer: Christine Caulfield <chrissie@debian.org>
+Build-Depends: debhelper(>=2.0)
 Standards-Version: 3.5.9
 
 Package: latd
