=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 
 build:
 	$(checkdir)
-	./configure --prefix=/usr --sysconfdir=/etc
+	./configure  \
+		$(shell dpkg-buildflags --export=configure) \
+	  	--prefix=/usr --sysconfdir=/etc 
 	make
 	touch build
 
@@ -15,11 +17,12 @@
 	-rm -f build
 	-make clean
 	-rm -f `find . -name "*~"`
-	-rm -rf debian/latd `find debian/* -type d ! -name CVS ` debian/files* core
+	-rm -rf debian/latd `find debian/* -type d ! -name CVS ! -name source ` debian/files* core
 	-rm -f debian/*substvars
+	-rm -f debian/latd.debhelper.log
 	-rm -rf BUILD RPMS .deps
 	-rm -f config.status
-	dh_clean -k
+	dh_prep
 
 binary-indep: checkroot build
 	$(checkdir)
