## latd 1.35

=== debian/changelog ===
latd (1.35) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DH level to 9.
      - Using dh-autoreconf now.
  * Upstream changes:
      - Changed name of file Configure.in to Configure.ac and update
        AM_INIT_AUTOMAKE.
      - Changed name of variable INCLUDES to AM_CPPFLAGS in file Makefile.am.
      - Fixed spell error of manpages moprc.8 and latcp.8.
      - Included status option on init.d script.
  * debian/control:
     - Bumped Standards-Version to 3.9.6.
     - Set maintainer as QA Group.
     - Removed extra Section: and Priority: fields.
     - Included ${misc:Depends} in Depends field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * debian/latd.debhelper.log: useless; removed.
  * debian/rules:
      - Updated to new (reduced) format.
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
      - Added the variable 'DEB_LDFLAGS_MAINT_APPEND' to avoid a useless
        linked dependency.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 12 Aug 2015 13:03:00 -0300
