## latd 1.36

=== debian/changelog ===
latd (1.36) unstable; urgency=medium

  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:12:15 +0800
